package route

import (
	"github.com/gin-gonic/gin"
	"wireguard-dashboard/http/api"
	"wireguard-dashboard/middleware"
)

// SettingApi
// @description: 设置相关API
// @param r
func SettingApi(r *gin.RouterGroup) {
	apiGroup := r.Group("setting", middleware.Authorization())
	{
		apiGroup.GET("server", api.Setting().GetGlobalSetting)      // 获取全局服务端配置
		apiGroup.GET("public-ip", api.Setting().GetPublicNetworkIP) // 获取公网IP
	}
}
